Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp
Interface Parseable

All Known Implementing Classes:
  AbstractDriver, AbstractInstrument, AbstractParameter, AudioOutputDriver, BoolListParameter, BoolParameter, DbInstrumentInfo, FloatListParameter, FloatParameter, FxSend, IntListParameter, IntParameter, MidiInputDriver, MidiInstrumentInfo, SamplerChannel, SamplerEngine, ScanJobInfo, ServerInfo, StringListParameter, StringParameter

    public interface Parseable

This interface defines standard method for parsing lines of text.

Method Summary
`boolean` | `parse(java.lang.String s)` Parses a line of text.

Method Detail

### parse

    boolean parse(java.lang.String s)
                  throws LscpException

  Parses a line of text.

  Parameters:
    `s` - The string to be parsed.
  Returns:
    `true` if the line has been processed, `false` otherwise.
  Throws:
    `LscpException` - If some error occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.